Bug 50783 - [GTK] Add DRT support for pageProperty, isPageBoxVisible, pageSizeAndMarginsInPixels, and addUserStyleSheet
Summary: [GTK] Add DRT support for pageProperty, isPageBoxVisible, pageSizeAndMarginsI...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 50808
  Show dependency treegraph
 
Reported: 2010-12-09 13:32 PST by Joone Hur
Modified: 2010-12-11 04:31 PST (History)
7 users (show)

See Also:


Attachments
Proposed Patch1 (9.87 KB, patch)
2010-12-10 02:10 PST, Joone Hur
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joone Hur 2010-12-09 13:32:36 PST
We need to implement pageProperty, isPageBoxVisible, pageSizeAndMarginsInPixels, and addUserStyleSheet in LayoutTestControllerGtk.cpp
for unskipping:
     printing/page-rule-selection.html
     printing/page-format-data.html
Comment 1 Joone Hur 2010-12-10 02:10:22 PST
Created attachment 76177 [details]
Proposed Patch1
Comment 2 WebKit Review Bot 2010-12-10 02:12:32 PST
Attachment 76177 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/platform/gtk/Skipped', u'WebKit/gtk/ChangeLog', u'WebKit/gtk/WebCoreSupport/DumpRenderTreeSupportGtk.cpp', u'WebKit/gtk/WebCoreSupport/DumpRenderTreeSupportGtk.h', u'WebKitTools/ChangeLog', u'WebKitTools/DumpRenderTree/gtk/LayoutTestControllerGtk.cpp']" exit_code: 1
WebKit/gtk/WebCoreSupport/DumpRenderTreeSupportGtk.cpp:58:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Eric Seidel (no email) 2010-12-10 02:37:35 PST
Comment on attachment 76177 [details]
Proposed Patch1

LGTM.
Comment 4 WebKit Commit Bot 2010-12-10 03:04:45 PST
Comment on attachment 76177 [details]
Proposed Patch1

Clearing flags on attachment: 76177

Committed r73714: <http://trac.webkit.org/changeset/73714>
Comment 5 WebKit Commit Bot 2010-12-10 03:04:50 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 WebKit Review Bot 2010-12-10 11:46:35 PST
http://trac.webkit.org/changeset/73714 might have broken GTK Linux 32-bit Debug
Comment 7 Joone Hur 2010-12-11 04:31:48 PST
(In reply to comment #6)
> http://trac.webkit.org/changeset/73714 might have broken GTK Linux 32-bit Debug

I tested it, but no build break.